REM A game Made by Andreas C
REM
REM     QBVet


DECLARE SUB DrawField ()
DECLARE SUB DrawGetPlayer ()
DECLARE SUB DrawBall ()
DECLARE SUB DrawGetBall ()
DECLARE SUB EraseBall ()
DECLARE SUB DrawThrower ()
DECLARE SUB EraseThrower ()
DECLARE SUB IncThrowerAngle ()
DECLARE SUB DecThrowerAngle ()
DECLARE SUB Shoot ()
DECLARE SUB InitVariables ()
DECLARE SUB ReadBoundaryData ()
DECLARE SUB ReadPlayerBoundary ()
DECLARE SUB ShowScoreBoard ()
DECLARE SUB Intro ()
DECLARE FUNCTION ToRadians (angle%)

REM Screen mode 12 (640 * 480 * 16 colors)
SCREEN 12

REM Constants
CONST Pi = 3.141592665358979#
CONST True = 1
CONST False = 0
CONST Gravity = 9.82
CONST Elastic = 60
CONST Friction = 50
CONST LowestAngle = 8
CONST HighestAngle = 80
CONST Right = 1
CONST Left = 2
CONST Up = 1
CONST Down = 2

REM My own variabletypes
TYPE PlayerType
     x  AS INTEGER
     y  AS INTEGER
power  AS INTEGER
score  AS INTEGER
scored AS INTEGER
END TYPE
TYPE BallType
       x AS SINGLE
       y AS SINGLE
      xv AS SINGLE
      yv AS SINGLE
     col AS INTEGER
     rad AS INTEGER
    dead AS INTEGER
   delay AS INTEGER
  lhight AS INTEGER
     dir AS INTEGER
    anim AS INTEGER
   animc AS INTEGER
animdir AS INTEGER
   spinn AS INTEGER
END TYPE
TYPE ThrowerType
     x AS INTEGER
     y AS INTEGER
   col AS INTEGER
   rad AS INTEGER
angle AS INTEGER
END TYPE
TYPE PowerMeterType
     x AS INTEGER
   dir AS INTEGER
   col AS INTEGER
delay AS INTEGER
power AS SINGLE
END TYPE
TYPE BoundaryType
x1 AS INTEGER
y1 AS INTEGER
x2 AS INTEGER
y2 AS INTEGER
END TYPE


REM Global variables
DIM SHARED Player AS PlayerType
DIM SHARED PlayerPic(205) AS INTEGER
DIM SHARED Ball AS BallType
DIM SHARED BallPic(45, 4) AS INTEGER
DIM SHARED Thrower AS ThrowerType
DIM SHARED PowerMeter AS PowerMeterType
DIM SHARED BoundaryLines(1 TO 17) AS BoundaryType
DIM SHARED ExitGame AS INTEGER
DIM Trash AS STRING * 2

REM Do a little intro
Intro

REM Init stuff
Player.score% = 0
Player.x% = 340
Player.y% = 238
Ball.rad% = 5
Ball.col% = 6
Ball.delay% = 3
Thrower.col% = 14
Thrower.rad% = 20
PowerMeter.delay% = 7000
DrawGetPlayer
DrawGetBall
DrawField
InitVariables
ReadPlayerBoundary
ReadBoundaryData
PUT (Player.x%, Player.y%), PlayerPic%, PSET
DrawBall
DrawThrower

DO
SELECT CASE INKEY$
  CASE CHR$(0) + CHR$(77): IncThrowerAngle
  CASE CHR$(0) + CHR$(75): DecThrowerAngle
  CASE CHR$(32): Shoot
                 LINE (Player.x%, Player.y%)-(Player.x% + 17, Player.y% + 33), 1, BF
                 InitVariables
                 ReadPlayerBoundary
                 PUT (Player.x%, Player.y%), PlayerPic%, PSET
                 DrawBall
                 DrawThrower


  CASE CHR$(27): ExitGame% = True
END SELECT
LOOP UNTIL ExitGame = True



REM Line boundary data
DATA 405, 210, 430, 210
DATA 405, 199, 405, 210
DATA 405, 199, 421, 199
DATA 421, 173, 421, 199
DATA 423, 170, 421, 170
DATA 423, 191, 423, 173
DATA 433, 191, 423, 191
DATA 433, 272, 433, 191
DATA 433, 272, 455, 272
DATA 455, 143, 455, 272
DATA 185, 143, 455, 143
DATA 185, 272, 185, 143
DATA 185, 272, 430, 272
DATA 430, 271, 430, 211

SUB DecThrowerAngle

IF (Thrower.angle% >= (LowestAngle + 2)) THEN
    EraseThrower
    Thrower.angle% = Thrower.angle% - 2
    DrawThrower
END IF

END SUB

SUB DrawBall

IF (Ball.anim% = 5) THEN Ball.anim% = 1
IF (Ball.anim% = 0) THEN Ball.anim% = 4

PUT (Ball.x! - Ball.rad%, Ball.y! - Ball.rad%), BallPic(0, Ball.anim%), PSET

Ball.animc% = Ball.animc% + 1
IF (Ball.animc% = 60 - (Ball.spinn% * 2) - INT(ABS(Ball.xv!) * (50 - (Ball.spinn% * 2)))) THEN
    IF (Ball.animdir% = Right) THEN Ball.anim% = Ball.anim% + 1
    IF (Ball.animdir% = Left) THEN Ball.anim% = Ball.anim% - 1
    Ball.animc% = 0
END IF

END SUB

SUB DrawField

LINE (320 - 150, 240 - 112)-(320 + 150, 240 + 112), 8, BF
LINE (320 - 148, 240 - 110)-(320 + 148, 240 + 110), 7, BF
LINE (320 - 138, 300)-(320 + 138, 290 + 48), 8, BF
LINE (320 - 136, 302)-(320 + 136, 290 + 46), 0, BF
LINE (320 - 136, 240 - 98)-(320 + 136, 240 + 46), 8, BF
LINE (320 - 134, 240 - 96)-(320 + 134, 240 + 44), 1, BF
LINE (320 - 134, 240 + 32)-(320 + 134, 240 + 44), 2, BF

COLOR 7
LOCATE 20, 25
PRINT "POWER"
LOCATE 20, 52
PRINT "SCORE"
COLOR 8
LOCATE 21, 52
PRINT "00000"

FOR x = 191 TO 390 STEP 2
LINE (x, 320)-(x, 332), 8
NEXT

LINE (430, 271)-(433, 200), 8, B
LINE (430, 200)-(423, 193), 8
LINE (433, 200)-(423, 190), 8
LINE (423, 193)-(423, 190), 8
PAINT (432, 201), 7, 8
PAINT (430, 198), 7, 8
LINE (421, 170)-(423, 200), 8, BF
LINE (420, 200)-(406, 199), 4, BF
LINE (406, 201)-(410, 210), 15
LINE (420, 201)-(417, 210), 15
LINE (410, 210)-(417, 210), 15
LINE (410, 208)-(417, 208), 15
LINE (409, 206)-(418, 206), 15
LINE (409, 204)-(418, 204), 15
LINE (408, 202)-(419, 202), 15
LINE (407, 201)-(407, 201), 15
LINE (409, 201)-(409, 205), 15
LINE (411, 201)-(411, 209), 15
LINE (413, 201)-(413, 209), 15
LINE (415, 201)-(415, 209), 15
LINE (417, 201)-(417, 209), 15
LINE (419, 201)-(419, 205), 15



END SUB

SUB DrawGetBall

LINE (1, 1)-(48, 11), 1, BF
CIRCLE (6, 6), 5, Ball.col%
PAINT (6, 6), Ball.col%, Ball.col%
PSET (3, 3), 0
PSET (4, 4), 0
PSET (5, 4), 0
PSET (6, 4), 0
PSET (7, 4), 0
PSET (8, 4), 0
PSET (9, 3), 0
PSET (3, 9), 0
PSET (4, 8), 0
PSET (5, 8), 0
PSET (6, 8), 0
PSET (7, 8), 0
PSET (8, 8), 0
PSET (9, 9), 0
PSET (1, 6), 0
PSET (2, 6), 0
PSET (10, 6), 0
PSET (11, 6), 0
GET (1, 1)-(11, 11), BallPic%(0, 1)

CIRCLE (18, 6), 5, Ball.col%
PAINT (18, 6), Ball.col%, Ball.col%
PSET (18, 1), 0
PSET (18, 2), 0
PSET (18, 3), 0
PSET (19, 4), 0
PSET (20, 5), 0
PSET (21, 6), 0
PSET (22, 6), 0
PSET (23, 6), 0
PSET (13, 6), 0
PSET (14, 6), 0
PSET (15, 6), 0
PSET (16, 7), 0
PSET (17, 8), 0
PSET (18, 9), 0
PSET (18, 10), 0
PSET (18, 11), 0
PSET (15, 3), 0
PSET (16, 4), 0
PSET (20, 8), 0
PSET (21, 9), 0
GET (13, 1)-(23, 11), BallPic%(0, 2)

CIRCLE (30, 6), 5, Ball.col%
PAINT (30, 6), Ball.col%, Ball.col%
PSET (33, 3), 0
PSET (32, 4), 0
PSET (32, 5), 0
PSET (32, 6), 0
PSET (32, 7), 0
PSET (32, 8), 0
PSET (33, 9), 0
PSET (27, 3), 0
PSET (28, 4), 0
PSET (28, 5), 0
PSET (28, 6), 0
PSET (28, 7), 0
PSET (28, 8), 0
PSET (27, 9), 0
PSET (30, 1), 0
PSET (30, 2), 0
PSET (30, 10), 0
PSET (30, 11), 0
GET (25, 1)-(36, 11), BallPic%(0, 3)


CIRCLE (42, 6), 5, Ball.col%
PAINT (42, 6), Ball.col%, Ball.col%
PSET (42, 1), 0
PSET (42, 2), 0
PSET (42, 3), 0
PSET (41, 4), 0
PSET (40, 5), 0
PSET (39, 6), 0
PSET (38, 6), 0
PSET (37, 6), 0
PSET (47, 6), 0
PSET (46, 6), 0
PSET (45, 6), 0
PSET (44, 7), 0
PSET (43, 8), 0
PSET (42, 9), 0
PSET (42, 10), 0
PSET (42, 11), 0
PSET (40, 8), 0
PSET (39, 9), 0
PSET (45, 3), 0
PSET (44, 4), 0
GET (37, 1)-(48, 11), BallPic%(0, 4)

CLS

END SUB

SUB DrawGetPlayer

LINE (5, 3)-(22, 36), 1, BF
CIRCLE (13, 10), 5, 4, .2, 3.3
LINE (17, 9)-(5, 13), 4
PAINT (13, 8), 4, 4
CIRCLE (13, 10), 5, 14, 3.7, .1
LINE (17, 10)-(10, 12), 14
PAINT (13, 12), 14, 14
LINE (17, 11)-(18, 11), 0
LINE (17, 12)-(18, 12), 0
LINE (17, 11)-(15, 11), 0
LINE (10, 16)-(15, 16), 4
LINE (10, 16)-(8, 26), 4
LINE (15, 16)-(17, 26), 4
LINE (8, 26)-(17, 26), 4
PAINT (9, 25), 4, 4
LINE (14, 19)-(19, 17), 14
LINE (14, 20)-(19, 18), 14
LINE (10, 27)-(16, 30), 12, BF
LINE (13, 31)-(15, 33), 14, BF
LINE (13, 34)-(12, 36), 6
LINE (12, 36)-(18, 36), 6
LINE (15, 33)-(18, 36), 6
PSET (14, 35), 6
PSET (15, 35), 6
PSET (15, 34), 6
PSET (16, 35), 6
PSET (14, 34), 6
LINE (12, 36)-(12, 34), 6
GET (5, 3)-(22, 36), PlayerPic
LINE (5, 3)-(22, 36), 0, BF

END SUB

SUB DrawThrower

DIM x1 AS INTEGER
DIM y1 AS INTEGER
DIM x2 AS INTEGER
DIM y2 AS INTEGER

x1% = Thrower.x% + (Ball.rad% + 2) * COS(ToRadians(Thrower.angle%))
y1% = Thrower.y% + (Ball.rad% + 2) * SIN(ToRadians(Thrower.angle%))
x2% = Thrower.x% + Thrower.rad% * COS(ToRadians(Thrower.angle%))
y2% = Thrower.y% + Thrower.rad% * SIN(ToRadians(Thrower.angle%))

LINE (x1%, y1%)-(x2%, y2%), Thrower.col%

END SUB

SUB EraseBall

DIM x1 AS INTEGER
DIM y1 AS INTEGER
DIM x2 AS INTEGER
DIM y2 AS INTEGER

x1% = Ball.x! - Ball.rad%
y1% = Ball.y! - Ball.rad%
x2% = Ball.x! + Ball.rad%
y2% = Ball.y! + Ball.rad%

'WAIT &H3DA, 8
LINE (x1%, y1%)-(x2%, y2%), 1, BF


END SUB

SUB EraseThrower

DIM x1 AS INTEGER
DIM y1 AS INTEGER
DIM x2 AS INTEGER
DIM y2 AS INTEGER

x1% = Thrower.x% + (Ball.rad% + 2) * COS(ToRadians(Thrower.angle%))
y1% = Thrower.y% + (Ball.rad% + 2) * SIN(ToRadians(Thrower.angle%))
x2% = Thrower.x% + Thrower.rad% * COS(ToRadians(Thrower.angle%))
y2% = Thrower.y% + Thrower.rad% * SIN(ToRadians(Thrower.angle%))

LINE (x1%, y1%)-(x2%, y2%), 1

END SUB

SUB IncThrowerAngle

IF (Thrower.angle% <= (HighestAngle - 2)) THEN
    EraseThrower
    Thrower.angle% = Thrower.angle% + 2
    DrawThrower
END IF

END SUB

SUB InitVariables

IF (Player.x% <= 230) THEN END
Player.x% = Player.x% - 3
Player.scored% = 0
Ball.x! = Player.x% + 21
Ball.y! = Player.y% + 12
Ball.dead% = False
Ball.anim% = 1
Ball.animc% = 0
Ball.animdir% = Right
Ball.spinn% = INT(RND * 11)
Thrower.x% = Ball.x!
Thrower.y% = Ball.y!
Thrower.angle% = 45
ExitGame% = False

END SUB

SUB Intro

COLOR 15
LOCATE 15, 24
PRINT "A game made by Andreas Collvin 1999"
COLOR 8
LOCATE 17, 38
PRINT "QBVet"
SLEEP 1
COLOR 7
LOCATE 15, 24
PRINT "A game made by Andreas Collvin 1999"
COLOR 7
LOCATE 17, 38
PRINT "QBVet"
SLEEP 1
COLOR 8
LOCATE 15, 24
PRINT "A game made by Andreas Collvin 1999"
COLOR 15
LOCATE 17, 38
PRINT "QBVet"
SLEEP 1
COLOR 0
LOCATE 15, 24
PRINT "A game made by Andreas Collvin 1999"
CLS

END SUB

SUB ReadBoundaryData

DIM Index AS INTEGER

FOR Index = 1 TO 14
READ BoundaryLines(Index).x1
READ BoundaryLines(Index).y1
READ BoundaryLines(Index).x2
READ BoundaryLines(Index).y2
'LINE (BoundaryLines(Index).x1, BoundaryLines(Index).y1)-(BoundaryLines(Index).x2, BoundaryLines(Index).y2), 12
NEXT

END SUB

SUB ReadPlayerBoundary

BoundaryLines(15).x1% = Player.x% - 2
BoundaryLines(15).y1% = Player.y% + 2
BoundaryLines(15).x2% = Player.x% - 2
BoundaryLines(15).y2% = Player.y% + 33
BoundaryLines(16).x1% = Player.x% - 2
BoundaryLines(16).y1% = Player.y%
BoundaryLines(16).x2% = Player.x% + 14
BoundaryLines(16).y2% = Player.y%
BoundaryLines(17).x1% = Player.x% + 16
BoundaryLines(17).y1% = Player.y% + 2
BoundaryLines(17).x2% = Player.x% + 16
BoundaryLines(17).y2% = Player.y% + 33

END SUB

SUB Shoot

DIM delay  AS INTEGER
DIM Index  AS INTEGER
DIM x1     AS INTEGER
DIM y1     AS INTEGER
DIM x2     AS INTEGER
DIM y2     AS INTEGER
DIM bx1    AS INTEGER
DIM by1    AS INTEGER
DIM bx2    AS INTEGER
DIM by2    AS INTEGER
DIM Temp   AS INTEGER
DIM GetKey AS STRING * 2

delay% = 0
Index% = 0
PowerMeter.col% = 0
PowerMeter.x% = 191
PowerMeter.dir% = Right
Ball.dir% = Down
Ball.xv! = 0
Ball.yv! = 0
Ball.lhight% = 0

DO
  IF (PowerMeter.dir% = Right) THEN
      IF (PowerMeter.x% < 270) THEN
          PowerMeter.col% = 14
      END IF
      IF (PowerMeter.x% >= 270 AND PowerMeter.x% <= 340) THEN
          PowerMeter.col% = 12
      END IF
      IF (PowerMeter.x% > 340) THEN
          PowerMeter.col% = 4
      END IF
  END IF

  IF (PowerMeter.dir% = Left) THEN PowerMeter.col% = 8
  LINE (PowerMeter.x%, 320)-(PowerMeter.x%, 332), PowerMeter.col%

  FOR delay% = 1 TO PowerMeter.delay%: NEXT
  FOR delay% = 1 TO PowerMeter.delay%: NEXT
  FOR delay% = 1 TO PowerMeter.delay%: NEXT
  FOR delay% = 1 TO PowerMeter.delay%: NEXT
  FOR delay% = 1 TO PowerMeter.delay%: NEXT
  FOR delay% = 1 TO PowerMeter.delay%: NEXT
  FOR delay% = 1 TO PowerMeter.delay%: NEXT
  FOR delay% = 1 TO PowerMeter.delay%: NEXT
  FOR delay% = 1 TO PowerMeter.delay%: NEXT
  FOR delay% = 1 TO PowerMeter.delay%: NEXT
  FOR delay% = 1 TO PowerMeter.delay%: NEXT
  FOR delay% = 1 TO PowerMeter.delay%: NEXT



  SELECT CASE PowerMeter.dir%
   CASE Right: PowerMeter.x% = PowerMeter.x% + 2
   CASE Left: PowerMeter.x% = PowerMeter.x% - 2
  END SELECT

  IF (PowerMeter.x% = 389) THEN PowerMeter.dir% = Left

LOOP UNTIL INKEY$ = CHR$(32) OR (PowerMeter.dir% = Left AND PowerMeter.x% = 189)
REM Erase angle
EraseThrower

REM Fix the variables
PowerMeter.power! = (PowerMeter.x% - 189) / 100
Ball.xv! = COS(ToRadians(Thrower.angle%)) * (PowerMeter.power! + .5) + .1
Ball.yv! = SIN(ToRadians(Thrower.angle%)) * (PowerMeter.power! + .5) + .1

IF (Ball.yv! < 0) THEN Ball.dir% = Up
IF (Ball.yv! >= 0) THEN Ball.dir% = Down

REM Throw the ball
DO
  REM Erase the ball
  EraseBall

  REM Transform the ball
  Ball.yv! = Ball.yv! + Gravity / 1000
  Ball.x! = Ball.x! + Ball.xv!
  Ball.y! = Ball.y! + Ball.yv!

  IF (Ball.dir% = Up AND (Ball.y! < Ball.y! + Ball.yv!)) THEN
   Ball.dir% = Down
   Ball.lhight% = Ball.y!
  END IF
  IF (Ball.yv! < 0) THEN Ball.dir% = Up

  REM Draw the ball
  DrawBall

  REM Check if ball hits object
  FOR Index% = 1 TO 17
   x1% = BoundaryLines(Index%).x1%
   y1% = BoundaryLines(Index%).y1%
   x2% = BoundaryLines(Index%).x2%
   y2% = BoundaryLines(Index%).y2%
   bx1% = Ball.x! - Ball.rad% - 2
   by1% = Ball.y! - Ball.rad% - 2
   bx2% = Ball.x! + Ball.rad% + 2
   by2% = Ball.y! + Ball.rad% + 2
   IF (x1% > x2%) THEN
      Temp% = x1%
      x1% = x2%
      x2% = Temp%
   END IF
   IF (y1% > y2%) THEN
      Temp% = y1%
      y1% = y2%
      y2% = Temp%
   END IF
   REM Check object (vertical front line)
   IF (x1% = x2%) THEN
    IF (Ball.x! < x1%) THEN
     IF (bx2% >= x1%) THEN
      IF ((by1% >= y1% AND by1% <= y2%) OR (by2% >= y1% AND by1% <= y2%)) THEN
       EraseBall
       Ball.xv! = -Ball.xv! * (Elastic / 100)
       Ball.x! = Ball.x! - 1
       Ball.animdir% = Left
      END IF
     END IF
    END IF
   END IF
   REM Check object (vertical back line)
   IF (x1% = x2%) THEN
    IF (Ball.x! > x1%) THEN
     IF (bx1% <= x1%) THEN
      IF ((by1% >= y1% AND by1% <= y2%) OR (by2% >= y1% AND by1% <= y2%)) THEN
       EraseBall
       Ball.xv! = -Ball.xv! * (Elastic / 100)
       Ball.x! = Ball.x! + 1
       Ball.animdir% = Right
      END IF
     END IF
    END IF
   END IF
   REM Check object (horizontal lower line)
   IF (y1% = y2%) THEN
    IF (Ball.y! < y1%) THEN
     IF (by2% >= y1%) THEN
      IF ((bx1% >= x1% AND bx1% <= x2%) OR (bx2% >= x1% AND bx1% <= x2%)) THEN
       EraseBall
       Ball.yv! = -Ball.yv! * (Elastic / 100)
       Ball.xv! = Ball.xv! * (Friction / 100)
       Ball.y! = Ball.y! - 1
       IF (Index% = 3 AND (ABS(Ball.xv!) + ABS(Ball.yv!)) < (1.8 - (RND * 2) / 3)) THEN
         IF (ABS(413 - Ball.x!) - 2 + INT(RND * 5) < (12 - 2 + INT(RND * 5))) THEN
          Player.scored% = ((360 - Player.x%) / 20) * 2000
          Player.scored% = Player.scored% * (INT(ABS(10 - ABS(413 - Ball.x!)) + 1) / 1000)
          ShowScoreBoard
          Ball.x! = 413
          Ball.y! = 217
          Ball.xv! = 0
          DrawBall
         END IF
       END IF
       REM Check if ball is dead
       IF (Ball.y! - Ball.lhight% < 2) THEN
        Ball.dead% = True
       END IF
      END IF
     END IF
    END IF
   END IF
   REM Check object (horizontal upper line)
   IF (y1% = y2%) THEN
    IF (Ball.y! > y1%) THEN
     IF (by1% <= y1%) THEN
      IF ((bx1% >= x1% AND bx1% <= x2%) OR (bx2% >= x1% AND bx1% <= x2%)) THEN
       EraseBall
       Ball.yv! = -Ball.yv! * (Elastic / 100)
       Ball.xv! = Ball.xv! * (Friction / 100)
       Ball.y! = Ball.y! + 1
      END IF
     END IF
    END IF
   END IF
  NEXT

  REM Sound effect
  'SOUND 30 + (319 - Ball.y!) * (319 - Ball.y!) / 10, Ball.Delay% / 20


FOR delay% = 1 TO PowerMeter.delay%: NEXT
FOR delay% = 1 TO PowerMeter.delay%: NEXT
  FOR delay% = 1 TO PowerMeter.delay%: NEXT
  FOR delay% = 1 TO PowerMeter.delay%: NEXT
  FOR delay% = 1 TO PowerMeter.delay%: NEXT
  FOR delay% = 1 TO PowerMeter.delay%: NEXT
  FOR delay% = 1 TO PowerMeter.delay%: NEXT
  FOR delay% = 1 TO PowerMeter.delay%: NEXT
  FOR delay% = 1 TO PowerMeter.delay%: NEXT
  FOR delay% = 1 TO PowerMeter.delay%: NEXT


LOOP UNTIL Ball.dead% = True

REM Erase PowerMeter
WHILE (PowerMeter.x% >= 191)
  LINE (PowerMeter.x%, 320)-(PowerMeter.x%, 332), 8
  FOR delay% = 1 TO PowerMeter.delay%: NEXT
  PowerMeter.x% = PowerMeter.x% - 2
WEND
WHILE INKEY$ <> ""
  GetKey$ = INKEY$
WEND

END SUB

SUB ShowScoreBoard

DIM ScoreString AS STRING

IF (Player.score% + Player.scored% > Player.score%) THEN
  Player.score% = Player.score% + Player.scored%
  COLOR 15
  IF (Player.score% <= 9) THEN LOCATE 21, 56
  IF (Player.score% > 9 AND Player.score% <= 99) THEN LOCATE 21, 55
  IF (Player.score% > 99 AND Player.score% <= 999) THEN LOCATE 21, 54
  IF (Player.score% > 999 AND Player.score% <= 9999) THEN LOCATE 21, 53
  IF (Player.score% > 9999) THEN LOCATE 21, 52
  ScoreString$ = RTRIM$(LTRIM$(STR$(Player.score%)))
  PRINT ScoreString$
END IF

END SUB

FUNCTION ToRadians (angle%)

ToRadians = angle% * Pi / 180 - (Pi / 2)

END FUNCTION


